Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class BitFlagHelper

    java.lang.Object
      org.pdfbox.util.BitFlagHelper

public class BitFlagHelper
extends Object

This class will be used for bit flag operations.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Method Summary
`static boolean` | `getFlag(COSDictionary dic, String field, int bitFlag)` Gets the boolean value from the flags at the given bit position.
`static void` | `setFlag(COSDictionary dic, String field, int bitFlag, boolean value)` Sets the given boolean value at bitPos in the flags.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setFlag

    public static final void setFlag(COSDictionary dic,
                                     String field,
                                     int bitFlag,
                                     boolean value)

  Sets the given boolean value at bitPos in the flags.

  Parameters:
    `dic` - The dictionary to set the value into.
    `field` - The name of the field to set the value into.
    `bitFlag` - the bit position to set the value in.
    `value` - the value the bit position should have.

### getFlag

    public static final boolean getFlag(COSDictionary dic,
                                        String field,
                                        int bitFlag)

  Gets the boolean value from the flags at the given bit position.

  Parameters:
    `dic` - The dictionary to get the field from.
    `field` - The name of the field to get the flag from.
    `bitFlag` - the bitPosition to get the value from.
  Returns:
    true if the number at bitPos is '1'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD